package com.mysql.grt.modules;

import java.util.Vector;

import com.mysql.grt.*;

public class GrtBase {

	/**
	 * Static function to return information about this class to the GRT
	 * environment
	 * 
	 * @return returns a GRT XML string containing the infos about this class
	 */
	public static String getModuleInfo() {
		return Grt.getModuleInfoXml(GrtBase.class, "");
	}
	
	public static String helloWorld() {
		Grt.getInstance().addMsg("Hello world!");
		
		return "Hello World!";
	}
	
	public static String upperCase(String str) {
		return str.toUpperCase();
	}
	
	public static int getListSize(GrtList list) {
		return list.size();
	}
	
	public static String concatStrings(String s1, String s2) {
		return s1 + s2;
	}
	
	public static void throwException() throws Exception {
		throw new Exception("Exception Test");
	}
	
	public static GrtList getMessages() {
		GrtList msgList = new GrtList(null, "GrtMessage");
		Vector msgs = Grt.getInstance().getMessages();
		
		for (int i = 0; i < msgs.size(); i++) {
			msgList.addObject(msgs.get(i));
		}
		
		msgs.clear();
		
		return msgList;
	}
}